STOCKFISH 14–19Latest release: 19Explore engines ↗

Documentation / API reference

POST /v1/batch

Queue up to 50 positions at depth 1–14 with 1–3 principal variations. Returns a job id; poll /jobs/{id} or stream /jobs/{id}/events.

Auth
Bearer API key (keyless allowed with limits on eval and bestmove)

Request body

FieldTypeDefaultNotes
enginestringlateststockfish-14 through stockfish-19; pinned when queued
pathauto | native | wasmauto
optionsobjectVersion-specific options from GET /v1/engines
fens *array
depthinteger1 to 14
multipvinteger1 to 3
curl -s https://stockfishapi.com/v1/batch \
  -H "Authorization: Bearer $STOCKFISH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
const res = await fetch("https://stockfishapi.com/v1/batch", {
  method: "POST",
  headers: { Authorization: `Bearer ${process.env.STOCKFISH_API_KEY}`, "Content-Type": "application/json" },
  body: JSON.stringify({}),
});
const data = await res.json();
import os, requests

r = requests.post(
    "https://stockfishapi.com/v1/batch",
    headers={"Authorization": f"Bearer {os.environ['STOCKFISH_API_KEY']}"},
    json={},
)
data = r.json()

Responses

StatusMeaning
202Queued job

Errors follow problem+json with next_action.